
// Get an array of user language preferrences.
// https://developer.mozilla.org/en-US/docs/Web/API/NavigatorLanguage/languages
const langArr = window.navigator.languages || [window.navigator.language || window.navigator.userLanguage]

export default function() {
  return langArr
    .map(raw => {
      const parts = raw.replace('-', '_').split('_')
      const [language] = parts
      const country = parts.length > 1 ? parts[1].toUpperCase() : false
      const locale = country ? `${language}_${country}` : false
      return {
        language,
        country,
        locale,
      }
    })
}

